package no.uio.inf5750.example.junit.calculator;

public interface Calculator
{
    /**
     * Adds the first number to the second.
     * 
     * @param number1 The first number.
     * @param number2 The second number.
     */
    int add( int number1, int number2 );
    
    /**
     * Multiplies the first and the second number.
     * 
     * @param number1 The first number.
     * @param number2 The second number.
     */
    int multiply( int number1, int number2 );
    
    /**
     * Divides the numerator on the denominator.
     * 
     * @param numerator The numerator.
     * @param denominator The denominator.
     * 
     * @throws UnsupportedOperationException if division by zero attempted.
     */
    int divide( int numerator, int denominator );
}
