package no.uio.inf5750.example.junit.event.dao;

import no.uio.inf5750.example.junit.event.model.Event;

public interface EventDAO
{
    /**
     * Saves an Event.
     * 
     * @param event The Event to save.
     * @return The generated unique identifier.
     */
    int saveEvent( Event event );
    
    /**
     * Retrieves the Event with the given identifier.
     * 
     * @param id The identifier of the Event.
     * @return The Event with the given identifier, or null if no
     *         Event with the given identifier exists.
     */
    Event getEvent( int id );
    
    /**
     * Deletes the Event with the given identifier.
     * 
     * @param id The identifier of the Event.
     */
    void deleteEvent( int id );
}
