package no.uio.inf5750.example.junit.event.dao.memory;

import java.util.HashMap;
import java.util.Map;

import no.uio.inf5750.example.junit.event.dao.EventDAO;
import no.uio.inf5750.example.junit.event.model.Event;

public class MemoryEventDAO
    implements EventDAO
{
    private Map<Integer, Event> events;
    
    private int identifier;
    
    public MemoryEventDAO()
    {
        events = new HashMap<Integer, Event>();
    }
    
    public int saveEvent( Event event )
    {
        event.setId( ++identifier );
        
        events.put( identifier, event );
        
        return identifier;
    }
    
    public Event getEvent( int id )
    {
        return events.get( id );
    }
    
    public void deleteEvent( int id )
    {
        events.remove( id );
    }
}
